Bug 4206 - Сборка с поддержкой ALSA
: Сборка с поддержкой ALSA
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/slmodemd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-05-21 20:59 by
Modified: 2007-04-06 16:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-21 20:59:07
Необходимо собрать пакет с поддержкой ALSA. 
Для этого в modem/Makefile  раскомментировать строчку #SUPPORT_ALSA:=1 или
просто добавить параметром к %make_build -C modem.

Иначе slmodem работать перестанет уже на следующей неделе, после появления в
Sisyphus нового hotplug.
------- Comment #1 From 2004-05-21 21:04:53 -------
Кстати, заодно было бы неплохо сделать так, что бы kernel-source-slmodem
собирался из пакета slmodem.
------- Comment #2 From 2004-12-24 13:15:48 -------
fixed
------- Comment #3 From 2005-04-26 18:06:23 -------
Где же Fixed, когда поддержки ALSA так и нет?
------- Comment #4 From 2005-04-27 10:02:26 -------
Ну вроде собрал с альсой, да вот только еще и на ядрышко патчик прикладывать
надо, точнее на альсу.
------- Comment #5 From 2005-04-27 11:26:28 -------
А что за патчик то ?
------- Comment #6 From 2005-04-27 12:31:21 -------
Альсу надо пересобрать с патчиком, который лежит в исходниках slmodem в дирьке
patches.
------- Comment #7 From 2005-04-27 21:55:22 -------
Так этот патч к 2.6.0 :)

Сейчас и в ядре, и в ALSA всё уже давно есть, и даже больше (snd-via82xx-modem,
snd-atiixp-modem). Кстати, насколько я понимаю, в последнем случае (ATI IXP)
использование ALSA - единственный способ заставить модем работать (в модуле
slamrmo я не вижу поддержки чипсетов ATI).
------- Comment #8 From 2005-04-28 09:37:49 -------
Так и да, все собранно с нужными патчами. Только что-то я так и не заставил
свой
модем выдавать звук хоть куда-нить кроме телефонной линии. :-(
------- Comment #9 From 2005-04-28 14:46:09 -------
А он должен был выдавать ?

Может какие регуляторы подкрутить ?
------- Comment #10 From 2007-01-27 18:59:35 -------
re
------- Comment #11 From 2007-01-27 18:59:54 -------
* Wed Apr 27 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt2
- compile with alsa support